Lineage
Authorizations
Query parameters
from_entitystring · nullableOptional
from_entity_idstring · nullableOptional
from_entity__instring · nullableOptional
to_entitystring · nullableOptional
to_entity_idstring · nullableOptional
to_entity__instring · nullableOptional
integration_typestring · nullableOptional
integration__typestring · nullableOptional
pageintegerOptionalDefault:
1Responses
200
OK
application/json
countintegerRequired
total_pagesintegerRequired
get/api/v1/lineage/manual/
200
OK
Authorizations
Body
from_entitystringRequired
to_entitystringRequired
directionstring · enumOptionalPossible values:
Responses
200
OK
application/json
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
from_entity_idstring · uuidRequired
to_entity_idstring · uuidRequired
directionstring · nullableOptional
workspace_idstring · uuidRequired
is_manualbooleanOptionalDefault:
false201
Created
application/json
post/api/v1/lineage/manual/
Authorizations
Path parameters
lineage_idstringRequired
Responses
200
OK
application/json
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
from_entity_idstring · uuidRequired
to_entity_idstring · uuidRequired
directionstring · nullableOptional
workspace_idstring · uuidRequired
is_manualbooleanOptionalDefault:
falseget/api/v1/lineage/manual/{lineage_id}/
200
OK
Authorizations
Query parameters
sqlstringRequiredExample:
The SQL query to analyze for lineage relationships
SELECT a.customer_id, b.order_id FROM customers a JOIN orders b ON a.customer_id = b.customer_iddialectstringRequiredExample:
SQL dialect of the query (e.g. postgresql, bigquery)
postgresqltable_idstringOptionalExample:
ID of target table (optional)
550e8400-e29b-41d4-a716-446655440000default_databasestringOptionalExample:
Default database name for resolving table references (optional)
productiondefault_schemastringOptionalExample:
Default schema name for resolving table references (optional)
publicResponses
200
OK
application/json
sqlstringRequired
get/api/v1/lineage/lineage_from_query/
200
OK
Authorizations
Body
sqlstringRequired
dialectstringRequired
table_idstring · nullableOptional
default_databasestring · nullableOptional
default_schemastring · nullableOptional
Responses
200
OK
No content
400
Bad Request
404
Provided table ID does not exist
500
Internal Server Error
post/api/v1/lineage/lineage_from_query/
No content
Create Lineage from Query and Removes Existing Upstream Non-Manual Lineage from Target Table
patch
/api/v1/lineage/lineage_from_query/
Authorizations
Body
sqlstringRequired
dialectstringRequired
table_idstring · nullableOptional
default_databasestring · nullableOptional
default_schemastring · nullableOptional
Responses
200
OK
No content
400
Bad Request
404
Provided table ID does not exist
500
Internal Server Error
patch/api/v1/lineage/lineage_from_query/
No content
Authorizations
Body
from_entitystringRequired
to_entitystringRequired
directionstring · enumOptionalPossible values:
Responses
200
OK
application/json
idstring · uuidOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
from_entity_idstring · uuidRequired
to_entity_idstring · uuidRequired
directionstring · nullableOptional
workspace_idstring · uuidRequired
is_manualbooleanOptionalDefault:
false201
Created
application/json
post/api/v1/lineage/
Last updated
Was this helpful?